Package org.apache.sling.testing.serversetup

## Class ServerSetup.SetupException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.sling.testing.serversetup.ServerSetup.SetupException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  ServerSetup

    public static class ServerSetup.SetupException
    extends Exception

See Also:
  Serialized Form

### Constructor Summary

Constructors
`SetupException​(String reason)`
`SetupException​(String reason, Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SetupException

    public SetupException​(String reason)

#### SetupException

    public SetupException​(String reason,
                          Throwable cause)